Add Customer Attribute

Add a new customer attribute.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Rate Limit

This endpoint is subject to the general API rate limit of 50 requests per 10 seconds. Learn more about handling rate limits.

Notes

  • Limitation: There is an overall limit of 50 attributes for real-time, API, and data ingestion attributes
  • Attributes created via the AddCustomerAttribute function can only be updated using the UpdateCustomerAttributes function.
  • Attribute Name must start with a letter (A-Z or a-z), and can only contain letters and numbers (0-9)
  • If a Callback URL was defined, you will receive the following response to the Webhook up to 1 minute after the call:
    • Attribute Name
    • IsSuccess: true or false
    • Error ID and error message in case of failure. Possible values for Error in case of failure in the response:
      • 1 = Attribute was not added. The number of attributes added exceeds the 40 attributes limit
      • 2 = Attribute was not added. Specified RealFieldName already exists
      • 3 = Attribute was not added, field_Type Input should be 'DECIMAL(19,4), 'INT', 'BIGINT', 'DATE' ,'VARCHAR(X)' or 'NVARCHAR(X)'
      • 4 = Attribute was not added, 'CHAR' value (DefaultValue) cannot be inserted into a column with data type 'INT'
      • 5 = Attribute was not added, a general error occurred

Examples for reference:

{"attributeName":"LoDoTestNVarcharr11","isSuccess":false,"errorId":"3","errorMsg":"Attribute was not added, Type Input should be 'DECIMAL(19,4), 'INT', 'BIGINT', 'DATE' ,'VARCHAR(X)' or 'NVARCHAR(X)'."}

{"attributeName":"LoDoTestNVarcharr17","isSuccess":true}

{"attributeName":"LoDoTestNVarcharr17","isSuccess":false,"errorId":"2","errorMsg":"Attribute was not added, specified RealFieldName already exists."}

Error Handling

Errors while using this endpoint typically occur due to invalid input or schema violations, such as:

  • Field values exceeding maximum length or precision.
  • Providing unsupported or incorrect data types.
  • Missing required attributes.

To understand these errors and how to resolve them, visit the Error Handling Page.

Sample Request

{
  "Name":"VIP_Level",
  "Type":"VARCHAR(10)",
  "DefaultValue":"Bronze" (optional),
  "CallbackURL":"https://tenantname.requestcatcher.com/test"
}
Body Params
string
required
length ≥ 1
string
required
length ≥ 1
string | null
string | null
Response
200

Success

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!